//--------------------------------------------------------------
// File     : main.c
// Datum    : 29.03.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der Logview-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_logview.h"
#include "stm32_ub_adc1_single.h"


void Delay(volatile uint32_t nCount){
  while(nCount--) {
  }
}


int main(void)
{
  uint16_t adc_wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // Init vom Logview mit 2 Kanlen
  UB_Logview_Init(2);

  // Init vom ADC
  UB_ADC1_SINGLE_Init();

  while(1)
  {
    // ADC an PA3 messen
    adc_wert=UB_ADC1_SINGLE_Read_MW(ADC_PA3);
	// Messwert in Logview kanal 0 speichern
	LOGVIEW.kanal[0]=adc_wert;
    // ADC an PC4 messen
    adc_wert=UB_ADC1_SINGLE_Read_MW(ADC_PC4);
	// Messwert in Logview kanal 1 speichern
	LOGVIEW.kanal[1]=adc_wert;
	// Beide Messwerte per UART (PA2)
	// an die Logview.exe senden
	UB_Logview_SendFrame(COM2);

	// kleine Pause
	Delay(500000);
  }
}

