//--------------------------------------------------------------
// File     : stm32_ub_logview.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_LOGVIEW_H
#define __STM32F4_UB_LOGVIEW_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32_ub_uart.h"
#include <stdio.h>
#include <stdarg.h>
#include "string.h"


//--------------------------------------------------------------
// Defines
//--------------------------------------------------------------
#define  LOGVIEW_FRAME_SIZE     50   // Framegrse in Bytes
#define  LOGVIEW_MAX_KANAL       8   // maximale Kanal-Anzahl


//--------------------------------------------------------------
// Struktur der Logview-Daten
//--------------------------------------------------------------
typedef struct {
  char tx_buf[LOGVIEW_FRAME_SIZE];  // Frame-Puffer
  uint8_t kan_anz;                  // Kanal Anzahl
  int16_t kanal[LOGVIEW_MAX_KANAL]; // Datenwert eines Kanals
}LOGVIEW_t;
LOGVIEW_t LOGVIEW;



//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
ErrorStatus UB_Logview_Init(uint8_t kanal_anz);
void UB_Logview_SendFrame(UART_NAME_t uart);


//--------------------------------------------------------------
#endif // __STM32F4_UB_LOGVIEW_H
